Subject: Re: [PATCH v2] [POWERPC] 4xx: Add endpoint support to 4xx PCIe driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 22 Apr 2008 07:16:31 +1000

On Mon, 2008-04-21 at 16:54 +0200, Stefan Roese wrote:

> --------------
> - As suggested by Benjamin Herrenschmidt, don't determine endpoint mode
>   by looking at the already configured PCIe port state, but evaluate
>   the device_type property instead. This makes it possible for boards
>   without a previously run PCIe configuration (e.g. U-Boot) to configure
>   a port as endpoint as well.
> 
> - Don't map the big external config space upon endpoint configuration.
> 
> - Introduce "vendor-id" and "device-id" properties to be written to
>   the host bridge.

and class-code too ?

Appart from that, I'll have a quick look at the patch later today but at
first it looks good.

Cheers,
Ben.